package com.cmvr.llm.service;


import com.cmvr.llm.model.CallAgentVO;
import com.cmvr.llm.model.CallAgentAdvancedVO;
import com.cmvr.llm.model.CallTTSAdvancedVO;
import com.cmvr.llm.model.CallTTSVO;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 演示-智能座舱服务
 */
public interface ShowIntelligentCockpitService {


    // ----------------------------- 语音合成 -----------------------------

    /**
     * 创建音色
     */
    public String createTimbre(MultipartFile file) throws IOException;

    /**
     * 查询音色和方言
     */
    public List<String> queryTimbre();

    /**
     * 生成语料
     */
    public String genCorpus(CallAgentVO callAgentVO);

    /**
     * 语音合成
     */
    public ResponseEntity<byte[]> synthesizeAudio(CallTTSVO callTTSVO);

    /**
     * 生成语料-增强
     */
    public String genCorpusAdvanced(CallAgentAdvancedVO callAgentAdvancedVO);

    /**
     * 语音合成-增强
     */
    public ResponseEntity<byte[]> synthesizeAudioAdvanced(CallTTSAdvancedVO callTTSAdvancedVO);


    // ----------------------------- 触控交互 -----------------------------

    /**
     * 获取触控坐标
     */
    public String getCoordinates(byte[] bytes, String words) throws Exception;
}
